#
# spec file for package openttd-opensfx
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           openttd-opensfx
Version:        1.0.3
Release:        bp155.1.6
Summary:        OpenSFX replacement sounds for OpenTTD
License:        CC-BY-SA-3.0 AND GPL-2.0-or-later AND CDDL-1.1
Group:          Amusements/Games/Strategy/Other
URL:            https://github.com/OpenTTD/OpenSFX
Source:         %{URL}/archive/refs/tags/%{version}.tar.gz
BuildRequires:  catcodec
Requires:       openttd-data
Provides:       opensfx
BuildArch:      noarch

%description
OpenSFX replacement sounds for OpenTTD. The last required step
to make OpenTTD independent.

%prep
%setup -q -n OpenSFX-%{version}

%build
%make_build REPO_VERSION=%{version} _V=

%install
make install INSTALL_DIR=%{buildroot}%{_datadir}/openttd/data REPO_VERSION=%{version} _V= TAR_FLAGS='--mtime="@${SOURCE_DATE_EPOCH}" --sort=name --owner=0 --group=0 --numeric-owner --pax-option=exthdr.name=%d/PaxHeaders/%f,delete=atime,delete=ctime,delete=mtime -cf'

%files
%license docs/license.txt
%doc docs/changelog.txt docs/readme.txt
%dir %{_datadir}/openttd
%dir %{_datadir}/openttd/data
%{_datadir}/openttd/data/opensfx-%{version}.tar

%changelog
* Fri Nov 12 2021 Jan Baier <jbaier@suse.com>
- upstream update 1.0.3:
  - Fix: Issue preventing BaNaNaS upload due to a lack of any checksum changes
* Thu Oct 21 2021 Jan Baier <jbaier@suse.com>
- upstream update 1.0.2
  - Updated translations
* Wed May 19 2021 Bernhard Wiedemann <bwiedemann@suse.com>
- Create reproducible tar file
* Sat Apr 24 2021 Callum Farmer <gmbr3@opensuse.org>
- Add GPLv2 and CDDLv1.1 to License
* Mon Apr 12 2021 Jan Baier <jbaier@suse.com>
- license update: CC-BY-SA-3.0
- upstream update 1.0.1
* Tue Aug 28 2012 cfarrell@suse.com
- license update: SUSE-CC-Sampling-Plus-1.0
  SPDX format (more specifically, the temporary substitute for this license
  in the spreadsheet linked from license.opensuse.org)
* Sun Oct 31 2010 ammler@openttdcoop.org
- name change to openttd-opensfx to make it compliment to
  other distros
* Thu Apr  1 2010 Marcel Gmür <ammler@openttdcoop.org>
- upstream update 0.2.3
* Wed Dec 23 2009 ammler@openttdcoop.org
- upstream update 0.2.1
* Sat Sep 19 2009 ammler@openttdcoop.org
- initial build
